package com.atguigu.ssyx.client.cart;

import com.atguigu.ssyx.model.order.CartInfo;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;

/**
 * ClassName: CartFeignClient
 * Package: com.atguigu.ssyx.client.cart
 *
 * @author yovinchen
 * @Create 2023/10/12 15:49
 */
@FeignClient(value = "service-cart")
public interface CartFeignClient {

    @ApiOperation(value = "根据用户Id查询购物车列表")
    @PostMapping("/api/cart/inner/getCartCheckedList/{userId}")
    List<CartInfo> getCartCheckedList(@PathVariable("userId") Long userId);
}
