package com.atguigu.ssyx.client.order;

import com.atguigu.ssyx.model.order.OrderInfo;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * ClassName: OrderFeignClient
 * Package: com.atguigu.ssyx.client.order
 *
 * @author yovinchen
 * @Create 2023/10/13 11:03
 */
@FeignClient(value = "service-order")
public interface OrderFeignClient {

    @ApiOperation(value = "根据orderNo查询订单信息")
    @GetMapping("/api/order/inner/getOrderInfo/{orderNo}")
    OrderInfo getOrderInfo(@PathVariable("orderNo") String orderNo);
}
