package com.atguigu.ssyx.user.service;

import com.atguigu.ssyx.model.user.User;
import com.atguigu.ssyx.vo.user.LeaderAddressVo;
import com.atguigu.ssyx.vo.user.UserLoginVo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * ClassName: UserService
 * Package: com.atguigu.ssyx.user.service
 *
 * @author yovinchen
 * @Create 2023/9/22 16:33
 */
public interface UserService extends IService<User> {
    /**
     * 根据微信openid获取用户信息
     *
     * @param openid
     * @return
     */
    User getUserByOpenId(String openid);

    /**
     * 根据userId查询提货点和团长信息
     *
     * @param id
     * @return
     */
    LeaderAddressVo getLeaderAddressByUserId(Long id);

    /**
     * 获取当前登录用户信息
     *
     * @param id
     * @return
     */
    UserLoginVo getUserLoginVo(Long id);

    /**
     * 更新用户昵称与头像
     *
     * @param user
     */
    void updateUser(User user);
}
